package org.jeecg.modules.ads.entity;

import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 策略模板表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_template")
public class AiKuaishouStrategyTemplate {

	/**策略模板id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	private Long accountId;
	/**策略模板名称*/
	private String templateName;
	/**策略类型 1:素材+定向  2:时间+出价 3:素材+出价*/
	private Integer templateType;
	/**测试方向*/
	private String testDirection;
	/**素材选择方式*/
	private String materialSelectMethod;
	/**状态1可用 0不可用*/
	private Integer status;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
